> For the complete documentation index, see [llms.txt](https://docs.jigx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/target-a-specific-jig-with-inputs.md).

# Target a specific jig with inputs

## Target a specific jig with inputs

<mark style="color:green;">`POST`</mark> `{{baseURL}}/tool/organizations/{{orgId}}/notifications`

\<Description of the endpoint>

**Headers**

| Name          | Value                                                                                     |
| ------------- | ----------------------------------------------------------------------------------------- |
| Authorization | <p><code>Bearer \<token></code></p><p>Bearer Token - format:<br>BEARER XXXXXXXXXXXXXX</p> |

**Body**

Configure the following properties in the JSON body:

<table><thead><tr><th width="141.86328125">Name</th><th width="153.484375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>Title of the notification.</td></tr><tr><td><code>text</code></td><td>string</td><td>Notification message.</td></tr><tr><td><code>jigId</code></td><td>string</td><td>Provide the jigId of the jig you want to open when the notification is tapped</td></tr><tr><td><code>inputs</code></td><td>string</td><td>Define the values for the jig inputs</td></tr><tr><td><code>scope</code></td><td>string</td><td>Can use any of the scopes USR, ORG, SLN, or SLN_GRP</td></tr><tr><td><code>solutionId</code></td><td>string</td><td>"{{solutionId}}", available in Jigx Management> Solution Details</td></tr></tbody></table>

{% code title="JSON body" %}

```json
/{
  "content": {
    "title": "🎉 New product promotion",
    "text": "Check it out now",
    "jigId": "view-promotion-details",
    "screen":"jig",
    "inputs": {
      "promo-code": "x-3654",
      "name": "20% on all Winter stock",
      "price": 34
    }
  },
  "scope": "SLN_GRP",
  "groups": [
    "customers"
  ],
  "solutionId": "{{solutionId}}"
}
```

{% endcode %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "organizationId": "{{orgId}}",
    "region": "us-east-1",
    "notificationId": "02817dcd-175c-4d0f-8c47-f1838c8e628c",
    "scope": "ORG",
    "state": "QUEUED",
    "startAt": "2025-04-04T10:06:50.444Z",
    "content": {
        "text": "We released a new version of the app",
        "title": "Update your app",
        "screen": "jig",
        "inputs": {}
    },
    "createdAt": "2025-04-04T10:06:50.444Z",
    "createdBy": "{{userId}}",
    "updatedAt": "2025-04-04T10:06:50.444Z",
    "updatedBy": "{{userId}}"
}

```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/target-a-specific-jig-with-inputs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
